using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using Newtonsoft.Json;
using ZR.Model.Dto;
using ZR.Model.Models;

namespace ZR.Model.Dto
{
    /// <summary>
    /// 基础资料/库区信息表查询对象
    /// </summary>
    public class BasRegionQueryDto : PagerInfo 
    {
    }

    /// <summary>
    /// 基础资料/库区信息表输入输出对象
    /// </summary>
    public class BasRegionDto
    {
        [Required(ErrorMessage = "库区Id 系统主键不能为空")]
        [JsonConverter(typeof(ValueToStringConverter))]
        public long RegionId { get; set; }

        [Required(ErrorMessage = "库区编码不能为空")]
        public string RegionCode { get; set; }

        public string RegionName { get; set; }

        public string Describe { get; set; }

        [Required(ErrorMessage = "显示状态（0显示，1隐藏）不能为空")]
        public string Visible { get; set; }

        [Required(ErrorMessage = "使用状态（0正常，1使用）不能为空")]
        public string Status { get; set; }

        public string CreateBy { get; set; }

        public DateTime? CreateTime { get; set; }

        public string UpdateBy { get; set; }

        public DateTime? UpdateTime { get; set; }

        public string Remark { get; set; }



    }
}