using System;
using SqlSugar;
using System.Collections.Generic;

namespace ZR.Model.Models
{
    /// <summary>
    /// 基础资料/库区信息表，数据实体对象
    ///
    /// @author admin
    /// @date 2023-04-07
    /// </summary>
    [SugarTable("bas_region")]
    public class BasRegion
    {
        /// <summary>
        /// 库区Id 系统主键 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = false)]
        public long RegionId { get; set; }

        /// <summary>
        /// 库区编码 
        /// </summary>
        public string RegionCode { get; set; }

        /// <summary>
        /// 库区名称 
        /// </summary>
        public string RegionName { get; set; }

        /// <summary>
        /// 描述 
        /// </summary>
        public string Describe { get; set; }

        /// <summary>
        /// 显示状态（0显示，1隐藏） 
        /// </summary>
        public string Visible { get; set; }

        /// <summary>
        /// 使用状态（0正常，1使用） 
        /// </summary>
        public string Status { get; set; }

        /// <summary>
        /// 创建者 
        /// </summary>
        [SugarColumn(ColumnName = "create_by")]
        public string CreateBy { get; set; }

        /// <summary>
        /// 创建时间 
        /// </summary>
        [SugarColumn(ColumnName = "create_time")]
        public DateTime? CreateTime { get; set; }

        /// <summary>
        /// 更新者 
        /// </summary>
        [SugarColumn(ColumnName = "update_by")]
        public string UpdateBy { get; set; }

        /// <summary>
        /// 更新时间 
        /// </summary>
        [SugarColumn(ColumnName = "update_time")]
        public DateTime? UpdateTime { get; set; }

        /// <summary>
        /// 备注 
        /// </summary>
        public string Remark { get; set; }

    }
}