using System;
using SqlSugar;
using System.Collections.Generic;

namespace ZR.Model.Models
{
    /// <summary>
    /// 基础资料/库位信息表，数据实体对象
    ///
    /// @author admin
    /// @date 2023-04-10
    /// </summary>
    [SugarTable("bas_bin")]
    public class BasBin
    {
        /// <summary>
        /// 库位Id 系统主键 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = false)]
        public long BinId { get; set; }

        /// <summary>
        /// 库区编码 
        /// </summary>
        public string BinCode { get; set; }

        /// <summary>
        /// 库区名称 
        /// </summary>
        public string BinName { get; set; }

        /// <summary>
        /// 库位类型（S存储库位，P拣选库位，V虚拟库位） 
        /// </summary>
        public string BinType { get; set; }

        /// <summary>
        /// 库区编码 
        /// </summary>
        public string RegionId { get; set; }

        /// <summary>
        /// 库位所在排 
        /// </summary>
        public int BinRow { get; set; }

        /// <summary>
        /// 库位所在列 
        /// </summary>
        public int BinColumn { get; set; }

        /// <summary>
        /// 库位所在层 
        /// </summary>
        public int BinLayer { get; set; }

        /// <summary>
        /// 描述 
        /// </summary>
        public string Describe { get; set; }

        /// <summary>
        /// 显示状态（0显示，1隐藏） 
        /// </summary>
        public string Visible { get; set; }

        /// <summary>
        /// 使用状态（0正常，1使用） 
        /// </summary>
        public string Status { get; set; }

        /// <summary>
        /// 创建者 
        /// </summary>
        [SugarColumn(ColumnName = "create_by")]
        public string CreateBy { get; set; }

        /// <summary>
        /// 创建时间 
        /// </summary>
        [SugarColumn(ColumnName = "create_time")]
        public DateTime? CreateTime { get; set; }

        /// <summary>
        /// 更新者 
        /// </summary>
        [SugarColumn(ColumnName = "update_by")]
        public string UpdateBy { get; set; }

        /// <summary>
        /// 更新时间 
        /// </summary>
        [SugarColumn(ColumnName = "update_time")]
        public DateTime? UpdateTime { get; set; }

        /// <summary>
        /// 备注 
        /// </summary>
        public string Remark { get; set; }

    }
}