﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using Newtonsoft.Json;
using ZR.Model.Dto;
using ZR.Model.Models;

namespace ZR.Model.Dto
{
    /// <summary>
    /// 出库管理/装配记录表查询对象
    /// </summary>
    public class OutAssembleRecordQueryDto : PagerInfo
    {
        public string BomNo { get; set; }
        public string MaterialCode { get; set; }
        public string MaterialName { get; set; }
        public string MaterialSpec { get; set; }
        public string Category { get; set; }
        public bool? KeyFlag { get; set; }
        public int? Result { get; set; }
        public string BnSnCode { get; set; }

        public DateTime? BeginTime { get; set; }
        public DateTime? EndTime { get; set;}
    }

    /// <summary>
    /// 出库管理/装配记录表输入输出对象
    /// </summary>
    public class OutAssembleRecordDto
    {
        [Required(ErrorMessage = "装配记录Id不能为空")]
        public int AssembleId { get; set; }

        [Required(ErrorMessage = "生产令号不能为空")]
        public string BomNo { get; set; }

        [Required(ErrorMessage = "物料编码不能为空")]
        public string MaterialCode { get; set; }

        [Required(ErrorMessage = "物料名称不能为空")]
        public string MaterialName { get; set; }

        [Required(ErrorMessage = "物料规格不能为空")]
        public string MaterialSpec { get; set; }

        [Required(ErrorMessage = "类别不能为空")]
        public string Category { get; set; }

        [Required(ErrorMessage = "关键件标识（0非关键件，1关键件）不能为空")]
        public bool KeyFlag { get; set; }

        [Required(ErrorMessage = "装配数量不能为空")]
        public int AssembleQty { get; set; }

        public string Picture { get; set; }

        [Required(ErrorMessage = "装配结果不能为空")]
        public int Result { get; set; }

        public string CreateBy { get; set; }

        public DateTime? CreateTime { get; set; }

        public string UpdateBy { get; set; }

        public DateTime? UpdateTime { get; set; }

        public string Remark { get; set; }

        [Required(ErrorMessage = "BN/SN码不能为空")]
        public string BnSnCode { get; set; }



    }
}