﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using Newtonsoft.Json;
using ZR.Model.Dto;
using ZR.Model.Models;

namespace ZR.Model.Dto
{
    /// <summary>
    /// 接口管理/SAP关键件清单记录表查询对象
    /// </summary>
    public class SapBomRecordQueryDto : PagerInfo
    {
        //物料名称
        public string MaterialName { get; set; }
        //物料编码
        public string MaterialCode { get; set; }
        //物料类型
        public string Category { get; set; }
        //规格型号
        public string MaterialSpec { get; set; }
        //关键件标识
        public bool? KeyFlag { get; set; }
        //生产令号
        public string BomNo { get; set; }
        //创建时间
        public DateTime? BeginTime { get; set; }
        public DateTime? EndTime { get; set; }
    }

    /// <summary>
    /// 接口管理/SAP关键件清单记录表输入输出对象
    /// </summary>
    public class SapBomRecordDto
    {
        [Required(ErrorMessage = "主键ID不能为空")]
        public int Id { get; set; }

        [Required(ErrorMessage = "生产令号不能为空")]
        public string BomNo { get; set; }

        public string EquipmentName { get; set; }

        public string MakeBy { get; set; }

        public DateTime? MakeTime { get; set; }

        [Required(ErrorMessage = "物料类型（外协件，外购件）不能为空")]
        public string Category { get; set; }

        [Required(ErrorMessage = "物料编码不能为空")]
        public string MaterialCode { get; set; }

        [Required(ErrorMessage = "物料名称不能为空")]
        public string MaterialName { get; set; }

        [Required(ErrorMessage = "规格型号/图号不能为空")]
        public string MaterialSpec { get; set; }

        [Required(ErrorMessage = "关键件标识（0非关键件，1关键件）不能为空")]
        public bool KeyFlag { get; set; }

        [Required(ErrorMessage = "需求数量不能为空")]
        public int Qty { get; set; }

        public int? AssembleQty { get; set; }

        [Required(ErrorMessage = "装配结果（0未装配，99装配完成）不能为空")]
        public int Result { get; set; }

        public string CreateBy { get; set; }

        public DateTime? CreateTime { get; set; }

        public string UpdateBy { get; set; }

        public DateTime? UpdateTime { get; set; }

        public string Remark { get; set; }



    }
}