﻿using System;
using SqlSugar;
using System.Collections.Generic;

namespace ZR.Model.Models
{
    /// <summary>
    /// 基础资料/库区信息表，数据实体对象
    ///
    /// @author admin
    /// @date 2023-04-10
    /// </summary>
    [SugarTable("bas_region")]
    public class BasRegion: BusinessBase
    {
        /// <summary>
        /// 库区Id 系统主键 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public long RegionId { get; set; }

        /// <summary>
        /// 库区编码 
        /// </summary>
        public string RegionCode { get; set; }

        /// <summary>
        /// 库区名称 
        /// </summary>
        public string RegionName { get; set; }

        /// <summary>
        /// 描述 
        /// </summary>
        public string Describe { get; set; }

        /// <summary>
        /// 显示状态（0显示，1隐藏） 
        /// </summary>
        public string Visible { get; set; }

        /// <summary>
        /// 使用状态（0正常，1使用） 
        /// </summary>
        public string Status { get; set; }

    }
}