﻿using System;
using SqlSugar;
using System.Collections.Generic;

namespace ZR.Model.Models
{
    /// <summary>
    /// 入库管理/入库记录表，数据实体对象
    ///
    /// @author admin
    /// @date 2023-04-13
    /// </summary>
    [SugarTable("in_instore_record")]
    public class InInstoreRecord:BusinessBase
    {
        /// <summary>
        /// 入库记录Id 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public int InStoreId { get; set; }

        /// <summary>
        /// 入库记录单号（流水号，用于记录每一次的入库操作） 
        /// </summary>
        public string InStoreNo { get; set; }

        /// <summary>
        /// 质检记录单号 
        /// </summary>
        public string InspectNo { get; set; }

        /// <summary>
        /// 交验单号 
        /// </summary>
        public string DeliverNo { get; set; }

        /// <summary>
        /// 生产令号 
        /// </summary>
        public string BomNo { get; set; }

        /// <summary>
        /// 物料编码 
        /// </summary>
        public string MaterialCode { get; set; }

        /// <summary>
        /// 物料名称 
        /// </summary>
        public string MaterialName { get; set; }

        /// <summary>
        /// 物料规格 
        /// </summary>
        public string MaterialSpec { get; set; }

        /// <summary>
        /// 类别 
        /// </summary>
        public string Category { get; set; }

        /// <summary>
        /// 关键件标识（0非关键件，1关键件） 
        /// </summary>
        public bool KeyFlag { get; set; }

        /// <summary>
        /// 入库数量 
        /// </summary>
        public int? InStoreQty { get; set; }

        /// <summary>
        /// 入库结果（0未入库，99入库完成） 
        /// </summary>
        public int Result { get; set; }

        /// <summary>
        /// BN/SN码 
        /// </summary>
        public string BnSnCode { get; set; }

        /// <summary>
        /// 交验单行项目 
        /// </summary>
        public int RowNo { get; set; }

        /// <summary>
        /// 交验单数量 
        /// </summary>
        public int Qty { get; set; }

        /// <summary>
        /// 质检合格数量 
        /// </summary>
        public int CheckQty { get; set; }

    }
}