﻿using System;
using SqlSugar;
using System.Collections.Generic;

namespace ZR.Model.Models
{
    /// <summary>
    /// 入库管理/退料记录表，数据实体对象
    ///
    /// @author admin
    /// @date 2023-04-14
    /// </summary>
    [SugarTable("in_retreat_record")]
    public class InRetreatRecord:BusinessBase
    {
        /// <summary>
        /// 退料记录Id 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public int RetreatId { get; set; }

        /// <summary>
        /// 退料记录单号（流水号，用于记录每一次的退料操作） 
        /// </summary>
        public string RetreatNo { get; set; }

        /// <summary>
        /// 生产令号 
        /// </summary>
        public string BomNo { get; set; }

        /// <summary>
        /// 物料编码 
        /// </summary>
        public string MaterialCode { get; set; }

        /// <summary>
        /// 物料名称 
        /// </summary>
        public string MaterialName { get; set; }

        /// <summary>
        /// 类别 
        /// </summary>
        public string Category { get; set; }

        /// <summary>
        /// 关键件标识（0非关键件，1关键件） 
        /// </summary>
        public bool KeyFlag { get; set; }

        /// <summary>
        /// 退料数量 
        /// </summary>
        public int? RetreatQty { get; set; }

        /// <summary>
        /// 退料结果（0未退料入库，99退料入库完成） 
        /// </summary>
        public int Result { get; set; }

        /// <summary>
        /// SAP退料单明细ID 
        /// </summary>
        public string BomDtlId { get; set; }

        /// <summary>
        /// 规格型号/图号 
        /// </summary>
        public string MaterialSpec { get; set; }

        /// <summary>
        /// BN/SN码 
        /// </summary>
        public string BnSnCode { get; set; }

        /// <summary>
        /// 仓库实收数量 
        /// </summary>
        public int? ReceiveQty { get; set; }

        /// <summary>
        /// 退料原因所属类型 
        /// </summary>
        public string ReasonType { get; set; }

        /// <summary>
        /// 退料原因描述 
        /// </summary>
        public string ReasonDesc { get; set; }

    }
}