﻿using System;
using SqlSugar;
using System.Collections.Generic;

namespace ZR.Model.Models
{
    /// <summary>
    /// 出库管理/出库记录表，数据实体对象
    ///
    /// @author admin
    /// @date 2023-04-18
    /// </summary>
    [SugarTable("out_outstore_record")]
    public class OutOutstoreRecord:BusinessBase
    {
        /// <summary>
        /// 出库记录Id 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public int OutStoreId { get; set; }

        /// <summary>
        /// 出库记录单号（流水号，用于记录每一次的出库操作） 
        /// </summary>
        public string OutSotreNo { get; set; }

        /// <summary>
        /// 生产令号 
        /// </summary>
        public string BomNo { get; set; }

        /// <summary>
        /// 物料编码 
        /// </summary>
        public string MaterialCode { get; set; }

        /// <summary>
        /// 物料名称 
        /// </summary>
        public string MaterialName { get; set; }

        /// <summary>
        /// 物料规格 
        /// </summary>
        public string MaterialSpec { get; set; }

        /// <summary>
        /// 类别 
        /// </summary>
        public string Category { get; set; }

        /// <summary>
        /// 关键件标识（0非关键件，1关键件） 
        /// </summary>
        public bool KeyFlag { get; set; }

        /// <summary>
        /// 出库数量 
        /// </summary>
        public int? OutStoreQty { get; set; }

        /// <summary>
        /// 出库结果（0未出库，99出库完成） 
        /// </summary>
        public int Result { get; set; }

        /// <summary>
        /// BN/SN码 
        /// </summary>
        public string BnSnCode { get; set; }

    }
}