﻿using System;
using SqlSugar;
using System.Collections.Generic;

namespace ZR.Model.Models
{
    /// <summary>
    /// 接口管理/SAP关键件清单记录表，数据实体对象
    ///
    /// @author admin
    /// @date 2023-05-05
    /// </summary>
    [SugarTable("sap_bom_record")]
    public class SapBomRecord:BusinessBase
    {
        /// <summary>
        /// 主键ID 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = false)]
        public int Id { get; set; }

        /// <summary>
        /// 生产令号 
        /// </summary>
        public string BomNo { get; set; }

        /// <summary>
        /// 设备名称 
        /// </summary>
        public string EquipmentName { get; set; }

        /// <summary>
        /// 编制人员 
        /// </summary>
        [SugarColumn(ColumnName = "make_by")]
        public string MakeBy { get; set; }

        /// <summary>
        /// 编制时间 
        /// </summary>
        [SugarColumn(ColumnName = "make_time")]
        public DateTime? MakeTime { get; set; }

        /// <summary>
        /// 物料类型（外协件，外购件） 
        /// </summary>
        public string Category { get; set; }

        /// <summary>
        /// 物料编码 
        /// </summary>
        public string MaterialCode { get; set; }

        /// <summary>
        /// 物料名称 
        /// </summary>
        public string MaterialName { get; set; }

        /// <summary>
        /// 规格型号/图号 
        /// </summary>
        public string MaterialSpec { get; set; }

        /// <summary>
        /// 关键件标识（0非关键件，1关键件） 
        /// </summary>
        public bool KeyFlag { get; set; }

        /// <summary>
        /// 需求数量 
        /// </summary>
        public int Qty { get; set; }

        /// <summary>
        /// 装配数量 
        /// </summary>
        public int? AssembleQty { get; set; }

        /// <summary>
        /// 装配结果（0未装配，99装配完成） 
        /// </summary>
        public int Result { get; set; }



    }
}