﻿using System;
using ZR.Model;
using ZR.Model.Dto;
using ZR.Model.Models;
using System.Collections.Generic;

namespace ZR.Service.Business.IBusinessService
{
    /// <summary>
    /// 接口管理/SAP交验单记录表service接口
    ///
    /// @author admin
    /// @date 2023-05-05
    /// </summary>
    public interface ISapDeliverRecordService : IBaseService<SapDeliverRecord>
    {
        PagedInfo<SapDeliverRecordDto> GetList(SapDeliverRecordQueryDto parm);

        int AddSapDeliverRecord(SapDeliverRecord parm);

        int UpdateSapDeliverRecord(SapDeliverRecord parm);

        void TruncateSapDeliverRecord();
        
        /// <summary>
        /// 导入
        /// </summary>
        /// <param name="list"></param>
        /// <returns></returns>
        string ImportDatas(List<SapDeliverRecord> list);
    }
}
